---
title: 'WebGL2RenderingContext.clearBuffer[fiuv]()'
slug: Web/API/WebGL2RenderingContext/clearBuffer
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.clearBuffer[fiuv]()</code></strong> methods of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> clear buffers from the currently bound framebuffer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void gl.clearBufferfv(buffer, drawbuffer, values, optional srcOffset);
void gl.clearBufferiv(buffer, drawbuffer, values, optional srcOffset);
void gl.clearBufferuiv(buffer, drawbuffer, values, optional srcOffset);
void gl.clearBufferfi(buffer, drawbuffer, depth, stencil);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>buffer</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the buffer to clear. Possible values are:
 <ul>
  <li><code>gl.COLOR</code>: Color buffer.</li>
  <li><code>gl.DEPTH</code>: Depth buffer.</li>
  <li><code>gl.STENCIL</code>: Stencil buffer.</li>
  <li><code>gl.DEPTH_STENCIL</code>: clears depth and stencil buffers (used with <code>clearBufferfi</code>).</li>
 </ul>
 </dd>
 <dt><code>drawBuffer</code></dt>
 <dd>A {{domxref("GLint")}} specifying the draw buffer to clear.</dd>
 <dt><code>values</code></dt>
 <dd>An {{jsxref("Array")}} of {{domxref("GLint")}}, {{domxref("GLuint")}} or {{domxref("GLfloat")}} values or<br>
 an {{jsxref("Int32Array")}}, {{jsxref("Uint32Array")}} or {{jsxref("Float32Array")}} specifying the values to clear to.</dd>
 <dt><code>depth</code></dt>
 <dd>A {{domxref("GLfloat")}} specifying the value to clear a depth render buffer to.</dd>
 <dt><code>stencil</code></dt>
 <dd>A {{domxref("GLint")}} specifying the value to clear the stencil render buffer to.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.clearBufferiv(gl.COLOR, 0, new Int32Array([r, g, b, a]));
gl.clearBufferuiv(gl.COLOR, 0, new Uint32Array([r, g, b, a]));
gl.clearBufferfv(gl.COLOR, 0, new Float32Array([r, g, b, a]));
gl.clearBufferfv(gl.COLOR, 0, [0.0, 0.0, 0.0, 0.0]);
gl.clearBufferfi(gl.DEPTH_STENCIL, 0, 1.0, 0);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.11", "clearBuffer[fiuv]()")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glClearBuffer.xhtml", "glClearBuffer")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.clearBufferiv")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGL2RenderingContext.drawBuffers()")}}</li>
</ul>
